/****************************************************************************
 * (c) 2019 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Frequenz messen, testen und ausgeben mit einem ATMega328
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include "serialparser.h"
#include "gpio.h"
#include "pwmctrl.h"
#include "twictrl.h"

// Defines -------------------------------------------------------------------

// Variablen -----------------------------------------------------------------

// interne Prototypen --------------------------------------------------------

// Funktionen ----------------------------------------------------------------
void setup() 
{
  // Ausgabepins
  gpio_Init();

  // Serielle Kommunikation
  Serial.begin(115200);
  delay(1000);

  // Kommunikation vom "Device under Test"
  twi_Init();

  //Frequenzausgabe  
  pwm_Init();

  // Parser
  spars_Init();
}

void loop() 
{
  spars_Get(); // Test Kommandos einlesen und auswerten
}
