/****************************************************************************
 * (c) 2019 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Generelle Input / Output Funktionen
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include <avr/wdt.h>
#include <arduino.h>

// Defines -------------------------------------------------------------------
#define PINtoRESET 8

// Variablen -----------------------------------------------------------------

// interne Prototypen --------------------------------------------------------

// Funktionen ----------------------------------------------------------------
void gpio_Init(void)
{
  pinMode(PINtoRESET, INPUT_PULLUP);
}

void gpio_Reset(void)
{
  pinMode(PINtoRESET, OUTPUT);
  digitalWrite(PINtoRESET, LOW);
  delay(1);
  digitalWrite(PINtoRESET, HIGH);  
  pinMode(PINtoRESET, INPUT_PULLUP);
}
